<div class="container">
    
        <!-- My thirds-->
        <div class="row">  
            <div class="card">
              <div class="card-header" data-background-color="red">
                <span>
                    <h3 class="title"> <b>Mis Productos de Tienda</b> </h3>
                    <p class="category" >Puede ver los productos que existen en tu tienda</p>
                </span>
                <span class="fill-space"></span>
                  <span>
                      <button mat-fab color="primary" class="tky-right"  
                      routerLink="/dashboard/business/product-third/new" 
                      matTooltip="Agregar Producto a Tienda!" >
                      <span>Producto</span>   
                    </button>
                  </span>
              </div>
              <div class="card-content table-responsive">
                  <mat-table #table [dataSource]="dataSource">
                      <!-- Position Column -->
                      <ng-container matColumnDef="position" class="text-center">
                          <mat-header-cell *matHeaderCellDef> CODIGO </mat-header-cell>
                          <mat-cell *matCellDef="let element"  > {{element.description.id_product_third }}-  {{element.code.code}} </mat-cell>
                      </ng-container>
            
                      <!-- Name Column -->
                      <ng-container matColumnDef="name">
                          <mat-header-cell *matHeaderCellDef> <b>Nombre</b> </mat-header-cell>
                          <mat-cell *matCellDef="let element">
                              {{element.product.name_product}}
                            
                          </mat-cell>
                        </ng-container>
            
                        <!-- Weight Column -->
                        <ng-container matColumnDef="weight">
                            <mat-header-cell *matHeaderCellDef> <b>PRECIO</b> </mat-header-cell>
                            <mat-cell *matCellDef="let element">
                             {{element.description.standard_price }}
                              
                             
                            </mat-cell>
                          </ng-container>
            
                          <!-- Color Column -->
                          <ng-container matColumnDef="symbol">
                              <mat-header-cell *matHeaderCellDef> <b>Unidad</b> </mat-header-cell>
                              <mat-cell *matCellDef="let element">
                                  {{element.description.measure_unit.name_measure_unit}}
                              </mat-cell>
                            </ng-container>
              
                            <!-- Color Column -->
                            <ng-container matColumnDef="direccion">
                              <mat-header-cell *matHeaderCellDef> <b>Ubicación</b> </mat-header-cell>
                              <mat-cell *matCellDef="let element">
                                  
                                  {{element.description.location }}
    
                              </mat-cell>
                            </ng-container>
            
                            <!-- Color Column -->
                            <ng-container matColumnDef="opciones">
                              <mat-header-cell *matHeaderCellDef> Opciones </mat-header-cell>
                              <mat-cell *matCellDef="let element">
            
                                <button mat-icon-button [matMenuTriggerFor]="menu">
                                      
                                    <mat-icon class="mat-24" aria-label="Example icon-button with a heart icon">list</mat-icon>
                                </button>
                                <mat-menu #menu="matMenu">
                                  <!-- mat-fab color="primary" (click)="createNewThird()" class="tky-right" > <mat-icon>save</mat-icon> -->
                                  <button mat-menu-item (click)="detailProduct(element)" ><i class="material-icons center color2">visibility</i></button>
                                  <button mat-menu-item (click)="editProduct(element)" ><i class="material-icons center color2">mode_edit</i></button>
                                  <button mat-menu-item (click)="deleteCategory(element.description.id_product_third)"><i class="material-icons color center">delete_forever</i></button>
                                </mat-menu>
                              </mat-cell>
                            </ng-container>
            
                            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                    </mat-table>
              </div>
            </div>
          </div>
        
    
      <button mat-button routerLink="/dashboard/business"> Atras </button>
    </div>
    
